Docs Replicate official format /replicate/v1/models/recraft-ai/recraft-v3/predictions
API reference

Create task recraft-ai/recraft-v3

Official documentation: https://replicate.com/recraft-ai/recraft-v3

POST/replicate/v1/models/recraft-ai/recraft-v3/predictions

Body Parametersapplication/json

input object

Input content

properties
aspect_ratio string

The aspect ratio of the generated image. Default value: "Not set"

prompt* string

Image-generated text prompts.

size string

Generates the width and height of the image. If aspect ratio is set, dimensions are ignored. Default value: "1024x1024"

style string

The style of the generated image. Default value: "any"

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"aspect_ratio": "Not set",
4"prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
5"size": "1365x1024",
6"style": "any"
7}
8}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/recraft-ai/recraft-v3/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "Not set",
7"prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
8"size": "1365x1024",
9"style": "any"
10}
11}'
Response
1▼{
2"created_at": "2025-07-30T01:45:30.496Z",
3"data_removed": false,
4"id": "w5k77rccg1rma0crb40tssh86g",
5▼"input": {
6"aspect_ratio": "Not set",
7"prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
8"size": "1365x1024",
9"style": "any"
10},
11"logs": "",
12"model": "recraft-ai/recraft-v3",
13"status": "starting",
14▼"urls": {
15"cancel": "https://api.replicate.com/v1/predictions/w5k77rccg1rma0crb40tssh86g/cancel",
16"get": "https://api.replicate.com/v1/predictions/w5k77rccg1rma0crb40tssh86g",
17"stream": "https://stream.replicate.com/v1/files/bcwr-otkjt5aiey7d63eore5rhoezsvrxwsc5q6ow2x5lpqh3l6x33hgq",
18"web": "https://replicate.com/p/w5k77rccg1rma0crb40tssh86g"
19},
20"version": "hidden"
21}